description = "拆书分析 - 加载并初步分析小说文件"

prompt = """
分析小说文件，提取写作技法。

用户输入：{{args}}

## 执行步骤

### 1. 获取文件路径
询问用户小说文件的路径（支持 .txt 或 .md 格式）

### 2. 读取文件
使用 read_file 工具读取小说内容

### 3. 基础分析
自动统计并分析：
- 总字数和章节数量
- 主要人物（前10个）
- 故事类型判断
- 叙述视角
- 章节平均字数
- 对话比例估算

### 4. 生成报告
创建基础分析报告：
```markdown
## 小说基础信息
- 书名：[识别的书名]
- 总字数：[统计]
- 章节数：[统计]
- 类型：[判断]

## 内容概览
- 主要人物：[列表]
- 核心设定：[总结]
- 叙述视角：[分析]

## 质量评估
- 章节均长：[数据]
- 对话比例：[估算]
- 节奏评估：[快/中/慢]
```

### 5. 保存结果
使用 write_file 保存到：
`./analysis/[书名]_基础分析.md`

## 后续分析

分析完成后，可使用以下深度分析命令：
- /book-skeleton - 故事结构分析
- /book-rhythm - 节奏钩子分析
- /book-characters - 人物塑造分析
- /book-style - 文笔技法分析
- /book-formula - 爆文公式提取

## 完成提示
✅ 基础分析完成！请选择深度分析命令继续。
"""